TrcStackQElem Class Reference

`#include <trc_etmv4_stack_elem.h>`

Inheritance diagram for TrcStackQElem:
[legend]
Collaboration diagram for TrcStackQElem:
[legend]

## Public Member Functions

void | setInstrCount (const int instr_count)
const int | getInstrCount () const
void | setAddr (const etmv4_addr_val_t &addr_val)
const etmv4_addr_val_t & | getAddr () const
const bool | hasAddr () const
Public Member Functions inherited from TrcStackElem
| TrcStackElem (const p0_elem_t p0_type, const bool isP0, const ocsd_etmv4_i_pkt_type root_pkt, const ocsd_trc_index_t root_index)
virtual | ~TrcStackElem ()
const p0_elem_t | getP0Type () const
const ocsd_etmv4_i_pkt_type | getRootPkt () const
const ocsd_trc_index_t | getRootIndex () const
const bool | isP0 () const

## Protected Member Functions

| TrcStackQElem (const ocsd_etmv4_i_pkt_type root_pkt, const ocsd_trc_index_t root_index)
virtual | ~TrcStackQElem ()

## Friends

class | EtmV4P0Stack

## Additional Inherited Members

Protected Attributes inherited from TrcStackElem
bool | m_is_P0

## Detailed Description

Q element

Definition at line 141 of file trc_etmv4_stack_elem.h.

## Constructor & Destructor Documentation

## TrcStackQElem()

TrcStackQElem::TrcStackQElem | ( | const ocsd_etmv4_i_pkt_type | root_pkt,
|  | const ocsd_trc_index_t | root_index
| ) |  |

inline protected

Definition at line 168 of file trc_etmv4_stack_elem.h.

## ~TrcStackQElem()

virtual TrcStackQElem::~TrcStackQElem | ( |  | ) |

inline protected virtual

Definition at line 145 of file trc_etmv4_stack_elem.h.

## Member Function Documentation

## getAddr()

const etmv4_addr_val_t& TrcStackQElem::getAddr | ( |  | ) | const

inline

Definition at line 158 of file trc_etmv4_stack_elem.h.

## getInstrCount()

const int TrcStackQElem::getInstrCount | ( |  | ) | const

inline

Definition at line 151 of file trc_etmv4_stack_elem.h.

## hasAddr()

const bool TrcStackQElem::hasAddr | ( |  | ) | const

inline

Definition at line 159 of file trc_etmv4_stack_elem.h.

## setAddr()

void TrcStackQElem::setAddr | ( | const etmv4_addr_val_t & | addr_val | ) |

inline

Definition at line 153 of file trc_etmv4_stack_elem.h.

## setInstrCount()

void TrcStackQElem::setInstrCount | ( | const int | instr_count | ) |

inline

Definition at line 150 of file trc_etmv4_stack_elem.h.

## Friends And Related Function Documentation

## EtmV4P0Stack

friend class EtmV4P0Stack

friend

Definition at line 147 of file trc_etmv4_stack_elem.h.

The documentation for this class was generated from the following file:

- /build/libopencsd-nipXOR/libopencsd-1.2.0/decoder/include/opencsd/etmv4/trc_etmv4_stack_elem.h